Bug 65639 - NFS allways use DNS for client verfication
NFS allways use DNS for client verfication
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2002-05-29 06:59 EDT by Anders Damm
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-13 13:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anders Damm 2002-05-29 06:59:05 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
Description of problem: 
A share that is exported with a IP-address/subnet mask shuld not be validatet against DNS, 
acording to the dokumentation.  
However, if the NFS-server is configured to use a DNS-server, a client validation is 
This is a big problem i environment with bad DDNS (Microsoft 2000), where one or several 
reverse records will be returnd, and the mount request rejected.   
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1.Configer a Linux NFS server to use a well used W2k DDNS-server as DNS 
2.Export a NFS-sharem with IP-address/netmask e.g. 
3.Try to mount from a Linux client on the 10.1.1-network 
4.Configure the NFS-server not to use DNS, and it will work as expected 
Actual Results:  Mount denied 
Expected Results:  Mount ok 
Additional info:
Comment 1 Josh Wyatt 2002-09-25 15:55:02 EDT
Seeing the same thing here.  It appears that when hostnames are in /etc/exports,
knfsd feels the need to do reverse and forward dns lookups on the client.  in
win2k ddns situations, the forward lookup breaks, and the nfs server denies

Here are two google groups messages showing more depth on the problem (beware of


Comment 2 Josh Wyatt 2002-09-25 16:31:54 EDT
I should add that the server is running 7.2, the clients can be running anything
(we are using 7.3 on our clients).
Comment 3 Pete Zaitcev 2005-05-13 13:39:21 EDT
I think this bug was lost. Anders, if this is still a problem, please
file a new one, SteveD will take good care of NFS issues.

Note You need to log in before you can comment on or make changes to this bug.